Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in ghostscript
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in ghostscript
ID: openSUSE-SU-2020:0653-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Mo, 11. Mai 2020, 22:56
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12268
Applikationen: AFPL Ghostscript

Originalnachricht

   openSUSE Security Update: Security update for ghostscript
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0653-1
Rating: important
References: #1170603
Cross-References: CVE-2020-12268
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for ghostscript to version 9.52 fixes the following issues:

- CVE-2020-12268: Fixed a heap-based buffer overflow in
jbig2_image_compose (bsc#1170603).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-653=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

ghostscript-9.52-lp151.3.12.1
ghostscript-debuginfo-9.52-lp151.3.12.1
ghostscript-debugsource-9.52-lp151.3.12.1
ghostscript-devel-9.52-lp151.3.12.1
ghostscript-mini-9.52-lp151.3.12.1
ghostscript-mini-debuginfo-9.52-lp151.3.12.1
ghostscript-mini-debugsource-9.52-lp151.3.12.1
ghostscript-mini-devel-9.52-lp151.3.12.1
ghostscript-x11-9.52-lp151.3.12.1
ghostscript-x11-debuginfo-9.52-lp151.3.12.1

- openSUSE Leap 15.1 (x86_64):

libspectre-debugsource-0.2.8-lp151.3.3.1
libspectre-devel-0.2.8-lp151.3.3.1
libspectre1-0.2.8-lp151.3.3.1
libspectre1-debuginfo-0.2.8-lp151.3.3.1


References:

https://www.suse.com/security/cve/CVE-2020-12268.html
https://bugzilla.suse.com/1170603

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung